Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000277Core InformPhrases and functional programmingpublic2010-09-03 16:122010-10-28 00:30
ReporterPhonatacid 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6E72 
Target VersionFixed in Version6F95 
Summary0000277: Two bugs about ( and \ being interpreted as regex characters in the phrase 'replace the text x in y with z'
Descriptionwell i guess everything is in the source code below
Minimal Source Text To Reproduce
"A test area" by Phonatacid

[\( is interepreted as (]
When play begins:
	let t be some indexed text;
	let t be "a";
	replace the text "a" in t with "\(";
	showme t;
	
[cannot replace parenthesis or '\'s]
When play begins:
	let t be "(";
	replace the text "(" in t with "whut?";
	showme t;

There is a room.
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0000509)
EmacsUser (manager)
2010-09-04 10:29
edited on: 2010-09-04 10:29

Although WI 19.8 would suggest a difference, the Standard Rules define ``replace the text'' and ``replace the regular expression'' to mean the same thing:

- - - -
To replace the text (ftxb - indexed text) in (txb - indexed text) with (rtxb - indexed text),
case insensitively
(documented at ph_replace):
(- IT_Replace_RE(REGEXP_BLOB, {-pointer-to:txb}, {-pointer-to:ftxb},
{-pointer-to:rtxb}, {phrase options}); -).

To replace the regular expression (ftxb - indexed text) in (txb - indexed text) with
(rtxb - indexed text), case insensitively
(documented at ph_replacere):
(- IT_Replace_RE(REGEXP_BLOB, {-pointer-to:txb}, {-pointer-to:ftxb},
{-pointer-to:rtxb}, {phrase options}); -).
- - - -

In fact, the changelog for 5G67 and Example 409, Blackout, both show code that relies on ``replace the text'' supporting regular expressions.

(0000615)
graham (administrator)
2010-09-29 02:59

I think the appropriate word here is "oops". Fixed now.

- Issue History
Date Modified Username Field Change
2010-09-03 16:12 Phonatacid New Issue
2010-09-04 10:29 EmacsUser Note Added: 0000509
2010-09-04 10:29 EmacsUser Status new => confirmed
2010-09-04 10:29 EmacsUser Note Edited: 0000509 View Revisions
2010-09-04 10:30 EmacsUser Reproducibility have not tried => always
2010-09-29 02:59 graham Note Added: 0000615
2010-09-29 02:59 graham Status confirmed => resolved
2010-09-29 02:59 graham Resolution open => fixed
2010-09-29 02:59 graham Assigned To => graham
2010-10-25 21:14 jmcgrew Fixed in Version => 6F95
2010-10-28 00:30 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker